Bug 215292 - (cups-pdf) Review Request: cups-pdf - Extension for creating pdf-Files with CUPS
Review Request: cups-pdf - Extension for creating pdf-Files with CUPS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-13 05:18 EST by Remi Collet
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-15 14:46:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2006-11-13 05:18:13 EST
Spec URL: http://remi.collet.free.fr/rpms/extras/cups-pdf.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/cups-pdf-2.4.2-1.fc7.src.rpm
Lock Log: http://remi.collet.free.fr/rpms/extras/cups-pdf-build.log
Description: 
"cups-pdf" is a backend script for use with CUPS - the "Common UNIX Printing System"
(see more for CUPS under http://www.cups.org/). "cups-pdf" uses the ghostscript pdfwrite
device to produce PDF Files.

This version has been modified to store the PDF files on the Desktop of the user.
This behavior can be changed by editing the configuration file.
Comment 1 Jeffrey C. Ollie 2006-11-13 11:35:29 EST
! Source url is invalid, should be:
http://www.physik.uni-wuerzburg.de/~vrbehr/cups-pdf/src/%{name}_%{version}.tar.gz
* source files match upstream
97b21ab9dc98659bfce17da921ee2790  cups-pdf_2.4.2.tar.gz
97b21ab9dc98659bfce17da921ee2790  cups-pdf_2.4.2.tar.gz.1
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (fc6 i386).
* package installs properly.  Print queue gets created and works as advertised.
* rpmlint says:
E: cups-pdf description-line-too-long "cups-pdf" is a backend script for use
with CUPS - the "Common UNIX Printing System"
E: cups-pdf description-line-too-long (see more for CUPS under
http://www.cups.org/). "cups-pdf" uses the ghostscript pdfwrite
E: cups-pdf description-line-too-long This version has been modified to store
the PDF files on the Desktop of the user.

I won't block the review because of these, but if you could re-wrap
the description text before building the packages that'd be great.

E: cups-pdf non-readable /usr/lib/cups/backend/cups-pdf 0700
E: cups-pdf non-standard-executable-perm /usr/lib/cups/backend/cups-pdf 0700

I think that these can be ignored.

* %check is not present; There is no test code in the districution.
* no shared libraries are present
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers
* no unversioned .so file
* no pkconfig file
* no libtool .la droppings.

Some minor points:

1) It looks like the PPD file could be gzipped, but since it's only
   21K to start with it's not a big deal.

2) Instead of creating the INSTALL.fedora with during %prep I'd
   include it as a separate source file.

Comment 2 Chris Weyl 2006-11-13 12:12:48 EST
So the blocker is the source URL?  (Just to clarify)
Comment 3 Jeffrey C. Ollie 2006-11-13 12:38:44 EST
(In reply to comment #2)
> So the blocker is the source URL?  (Just to clarify)

Yes.
Comment 4 Remi Collet 2006-11-13 17:16:59 EST
Tanks for the review.

Description : I must apologize, I've run rpmlint, but i forget to run it with
"LANG=C" so check only apply to French...

About permission on cups-pdf, this is explained in the "man backend" (section
permissions). Running as root is needed to allow cups-pdf to give (chown) the
pdf to the job owner.

Spec: http://remi.collet.free.fr/rpms/extras/cups-pdf.spec
Srpm: http://remi.collet.free.fr/rpms/extras/cups-pdf-2.4.2-2.fc7.src.rpm

Comment 5 Jeffrey C. Ollie 2006-11-13 20:29:33 EST
APPROVED
Comment 6 Remi Collet 2007-05-06 03:16:31 EDT
Package Change Request
======================
Package Name: cups-pdf
New Branches: EL-4 EL-5


Note You need to log in before you can comment on or make changes to this bug.